bio-0.5.2: A bioinformatics library

Safe Haskell | None

Bio.GFF3.Feature

# Documentation

data GFFAttr

Constructors

GFFAttr |

Fields

attrTag :: !ByteString
attrValues :: ![ByteString]

Instances

Eq GFFAttr |
Ord GFFAttr |
Show GFFAttr |

data Feature

Constructors

Feature |

Fields

seqid :: !ByteString
source :: !ByteString
ftype :: !ByteString
start :: !Offset
end :: !Offset
score :: !(Maybe Double)
strand :: !(Maybe Strand)
phase :: !(Maybe Offset)
attributes :: ![GFFAttr]

Instances

Eq Feature |
Ord Feature |
Show Feature |

length :: Feature -> Offset

parse :: (Error e, MonadError e m) => ByteString -> m Feature

unparse :: Feature -> ByteString

parseWithFasta :: (Error e, MonadError e m) => ByteString -> m ([Feature], [ByteString])

attrByTag :: ByteString -> Feature -> [ByteString]

ids :: Feature -> [ByteString]

parentIds :: Feature -> [ByteString]

contigLoc :: Feature -> ContigLoc

loc :: Feature -> Loc

seqLoc :: Feature -> SeqLoc

name :: (Error e, MonadError e m) => Feature -> m SeqName